org.springframework.cloud.dataflow.server.config

## Class DataFlowControllerAutoConfiguration

- java.lang.Object
- - org.springframework.cloud.dataflow.server.config.DataFlowControllerAutoConfiguration

-     @Configuration
       @Import(value=CompletionConfiguration.class)
       @ConditionalOnBean(value=org.springframework.cloud.dataflow.server.config.EnableDataFlowServerConfiguration.Marker.class)
       @EnableConfigurationProperties(value={FeaturesProperties.class,VersionInfoProperties.class,DockerValidatorProperties.class,DataflowMetricsProperties.class})
       @ConditionalOnProperty(prefix="dataflow.server",
                             name="enabled",
                             havingValue="true",
                             matchIfMissing=true)
       @EntityScan(value="org.springframework.cloud.dataflow.core")
       @EnableJpaRepositories(basePackages={"org.springframework.cloud.dataflow.registry.repository","org.springframework.cloud.dataflow.server.repository","org.springframework.cloud.dataflow.audit.repository"})
       @EnableJpaAuditing
       @EnableTransactionManagement
      public class DataFlowControllerAutoConfiguration
      extends Object

  Configuration for the Data Flow Server Controllers.
  Author:
    Mark Fisher, Gunnar Hillert, Ilayaperumal Gopinathan, Andy Clement, Glenn Renfro, Christian Tzolov

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DataFlowControllerAutoConfiguration.AppRegistryConfiguration`
    `static class` | `DataFlowControllerAutoConfiguration.AuditingConfiguration`
    `static class` | `DataFlowControllerAutoConfiguration.SecurityConfiguration`
    `static class` | `DataFlowControllerAutoConfiguration.StreamEnabledConfiguration`
    `static class` | `DataFlowControllerAutoConfiguration.TaskEnabledConfiguration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataFlowControllerAutoConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AboutController` | `aboutController(org.springframework.beans.factory.ObjectProvider<StreamDeployer> streamDeployer, org.springframework.beans.factory.ObjectProvider<LauncherRepository> launcherRepository, FeaturesProperties featuresProperties, VersionInfoProperties versionInfoProperties, org.springframework.cloud.common.security.support.SecurityStateBean securityStateBean, DataflowMetricsProperties monitoringDashboardInfoProperties)`
    `CompletionController` | `completionController(StreamCompletionProvider completionProvider, TaskCompletionProvider taskCompletionProvider)`
    `RestControllerAdvice` | `restControllerAdvice()`
    `RootController` | `rootController(org.springframework.hateoas.server.EntityLinks entityLinks)`
    `TaskSchedulerController` | `taskSchedulerController(SchedulerService schedulerService)`
    `ToolsController` | `toolsController()`
    `UiController` | `uiController()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataFlowControllerAutoConfiguration

          public DataFlowControllerAutoConfiguration()

  - ### Method Detail

    - #### rootController

          @Bean
          public RootController rootController(org.springframework.hateoas.server.EntityLinks entityLinks)

    - #### completionController

          @Bean
          public CompletionController completionController(StreamCompletionProvider completionProvider,
                                                                 TaskCompletionProvider taskCompletionProvider)

    - #### toolsController

          @Bean
          public ToolsController toolsController()

    - #### aboutController

          @Bean
          public AboutController aboutController(org.springframework.beans.factory.ObjectProvider<StreamDeployer> streamDeployer,
                                                       org.springframework.beans.factory.ObjectProvider<LauncherRepository> launcherRepository,
                                                       FeaturesProperties featuresProperties,
                                                       VersionInfoProperties versionInfoProperties,
                                                       org.springframework.cloud.common.security.support.SecurityStateBean securityStateBean,
                                                       DataflowMetricsProperties monitoringDashboardInfoProperties)

    - #### uiController

          @Bean
          public UiController uiController()

    - #### restControllerAdvice

          @Bean
          public RestControllerAdvice restControllerAdvice()

    - #### taskSchedulerController

          @Bean
           @ConditionalOnBean(value=SchedulerService.class)
          public TaskSchedulerController taskSchedulerController(SchedulerService schedulerService)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.